SoVertexAttributeElement Class Reference
Element Classes

The SoVertexAttributeElement class is yet to be documented. More...

`#include <Inventor/elements/SoVertexAttributeElement.h>`

Inheritance diagram for SoVertexAttributeElement:

## Public Types

typedef const char * | Key
typedef SoVertexAttributeData * | Type
typedef void | AttributeApplyFunc(const Key &key, const Type &obj, void *closure)

## Public Member Functions

virtual void | init (SoState *state)
virtual void | push (SoState *state)
unsigned int | getNumAttributes (void) const
void | applyToAttributes (AttributeApplyFunc *func, void *closure) const
Public Member Functions inherited from SoAccumulatedElement
virtual SbBool | matches (const SoElement *element) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | add (SoState *const state, SoVertexAttributeData *attribdata)
static const SoVertexAttributeElement * | getInstance (SoState *const state)
Static Public Member Functions inherited from SoAccumulatedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoVertexAttributeElement ()
virtual void | addElt (SoVertexAttributeData *attribdata)
Protected Member Functions inherited from SoAccumulatedElement
virtual | ~SoAccumulatedElement ()
void | clearNodeIds (void)
void | addNodeId (const SoNode *const node)
void | setNodeId (const SoNode *const node)
void | copyNodeIds (const SoAccumulatedElement *copyfrom)
virtual SoElement * | copyMatchInfo (void) const
virtual void | captureThis (SoState *state) const
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoAccumulatedElement
SbList< SbUniqueId > | nodeIds
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoVertexAttributeElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ~SoVertexAttributeElement()

SoVertexAttributeElement::~SoVertexAttributeElement | ( |  | ) |

protected virtual

Destructor.

## Member Function Documentation

## getClassTypeId()

SoType SoVertexAttributeElement::getClassTypeId | ( | void |  | ) |

static

This static method returns the SoType object associated with objects of this class.

## getClassStackIndex()

int SoVertexAttributeElement::getClassStackIndex | ( | void |  | ) |

static

This static method returns the state stack index for the class.

## createInstance()

void * SoVertexAttributeElement::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## initClass()

void SoVertexAttributeElement::initClass | ( | void |  | ) |

static

Initialize relevant common data for all instances, like the type system.

## init()

void SoVertexAttributeElement::init | ( | SoState * | state | ) |

virtual

This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoAccumulatedElement.

Reimplemented in SoGLVertexAttributeElement.

## push()

void SoVertexAttributeElement::push | ( | SoState * | state | ) |

virtual

Overridden to copy vertex attributes and node ids.

Reimplemented from SoAccumulatedElement.

## addElt()

void SoVertexAttributeElement::addElt | ( | SoVertexAttributeData * | attribdata | ) |

protected virtual

Reimplemented in SoGLVertexAttributeElement.

The documentation for this class was generated from the following files:

- SoVertexAttributeElement.h
- SoVertexAttributeElement.cpp